List warehouse access
Lists all warehouses this store has access to.
get/tenants/{tenantUid}/stores/{storeUid}/warehouses/access
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Query parameters
warehouseRolestring · enumOptional
Possible values:
Reference to a warehouse role
| ENUM | Description |
|---|---|
| DELIVER | |
| MOVE | |
| RECEIVE | |
| RESERVE | |
| RETURN | |
| SHIP | |
| VIEW |
pageNumberintegerOptional
Reference to a specific page in a result set.
pageSizeintegerOptional
The number of items per page in a result set.
sortBystringOptional
Defines which field the resource list is sorted by.
sortDirectionstring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
Responses
200
Example response
application/json
get/tenants/{tenantUid}/stores/{storeUid}/warehouses/access
GET /v2/tenants/{tenantUid}/stores/{storeUid}/warehouses/access HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"items": [
{
"role": "DELIVER",
"storeUid": "text",
"storeName": "text",
"warehouseUid": "text",
"warehouseName": "text",
"warehouseAccessUid": "text"
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Last updated
Was this helpful?

